package com.fjhx.enums;

import lombok.Getter;

import java.util.HashMap;

@Getter
public enum OrderStatusEnum {

    IN_APPROVAL(1), // 审批中
    NOT_PASS(2), // 未通过
    PASS(3), // 已通过/未完成
    COMPLETED(4), // 已完成
    ;

    OrderStatusEnum(Integer value) {
        this.value = value;
    }

    private final Integer value;

    private static final HashMap<Integer, OrderStatusEnum> map = new HashMap<>();

    static {
        for (OrderStatusEnum value : OrderStatusEnum.values()) {
            map.put(value.getValue(), value);
        }
    }

    /**
     * 根据value值获取枚举
     */
    public static OrderStatusEnum get(Integer value) {
        return map.get(value);
    }


}
